<div class="footer">
    <div class="footertop-wrapper">
        <div class="container">
            <div class="row">
                <div class="col-md-3 pl-0 footer-top footer-border-rgt">
                    <div class="footer-icon"><img src="assets\images\footer-top1.png"></div>
                    <div class="footer-top-text">
                        <div class="footer-icon-desc">{{ 'labelFreeShipping' | translate:lang }}</div>
                        <div class="footer-desc-detail">{{'FREE_SHIPPING_FOR_ORDERS' | translate:lang}}</div>
                        
                    </div>
                </div>
                <div class="col-md-3 footer-top footer-border-rgt">
                    <div class="footer-icon"><img src="assets\images\footer-top3.png"></div>
                    <div class="footer-top-text">
                        <div class="footer-icon-desc">{{ 'LABEL_ITEM_EXCHANGE' | translate:lang }}</div>
                        <div class="footer-desc-detail">{{'LABEL_TEMP_EXCHANGE_MESSAGE' | translate:lang}}</div>
                    </div>
                </div>
                <div class="col-md-3 footer-top footer-border-rgt">
                    <div class="footer-icon"><img src="assets\images\footer-top4.png"></div>
                    <div class="footer-top-text">
                        <div class="footer-icon-desc">{{ 'labelOnlineSupport' | translate:lang }}</div>
                        <div class="footer-desc-detail">{{'ONLINE_SUPPORT' | translate:lang}}</div>
                    </div>
                </div>
                <div class="col-md-3 pr-0 footer-top">
                    <div class="footer-icon"><img src="assets\images\footer-top2.png"></div>
                    <div class="footer-top-text">
                        <div class="footer-icon-desc">{{ 'labelSecurePayment' | translate:lang }}</div>
                        <div class="footer-desc-detail">{{'SECURE_PAYMENT' | translate:lang}}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer-middle-border"></div>
    <div class="container footer-middle">
        <div class="row footer-txt">

            <div class="col-md-9" *ngIf="cmsList">
                <div class="row">
                    <div class="col-md-4" *ngFor="let cms of cmsList" [class.col-md-4]="cms.footerList.length > 0">
                        <h6 *ngIf="cms.footerList.length > 0">{{cms.footerName}}</h6>
                        <ul class="list-unstyled">
                            <li *ngFor="let detail of cms.footerList">
                                <a (click)="moveToCms(detail)" [title]="detail.pageTitle">{{detail.pageTitle}}</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-md-3 col-md-offset-3 subsctibe-wrap">
                <div *ngIf="socialMediaList">
                    <h6>{{ 'labelConnectUs' | translate:lang }}</h6>
                    <ul class="list-unstyled list-inline">
                        <li class="list-inline-item" *ngFor="let socialMedia of socialMediaList">
                            <a class="li-ic mr-1" [href]="socialMedia.socialMediaUrl" target="_blank">
                                <img class="social-media" [src]="socialMedia.socialLogo"
                                    [title]="socialMedia.socialMediaName" [alt]="socialMedia.socialMediaName" />
                            </a>
                        </li>
                    </ul>

                </div>
                <div *ngIf="showSubscription">
                    <h6 class="mt-4 footer-capital">{{ 'labelSubscription' | translate:lang }}</h6>
                    <div class="subsctibe-box">
                        <form name="subscriptionForm" #subscriptionForm="ngForm">
                            <div class="input-group">
                                <input required email type="email" #user="ngModel" autocomplete="off" name="userEmail"
                                    [(ngModel)]="userEmail" [placeholder]="'placeholderEmail' | translate:lang"
                                    [pattern]="email">
                                <button [disabled]="!subscriptionForm.valid"
                                    (click)="addEmailSubscription(subscriptionForm.value)" class="btn btn-info btn-lg"
                                    type="button">{{ 'buttonSubscribe' | translate:lang
                                      }}</button>
                                <mat-hint *ngIf="user.invalid">
                                    <mat-error *ngIf="user.errors.pattern">
                                        {{'errorValidEmail' | translate: lang}}
                                    </mat-error>
                                </mat-hint>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>
    </div>

    <!-- Copyright-->
    <div class="footer-copyright">
        <div class="container">
            <div class="row">
                <div class="col text-center">
                     {{'footer-year' | translate:lang}}{{' '}}{{'labelCopyRight' | translate: lang}}{{' '}}{{'footer-name' | translate:lang}}
                </div>
            </div>
        </div>
    </div>
</div>